Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003231KdenliveMLTpublic2014-03-16 15:072014-03-18 08:11
Reporterkevin-deldycke 
Assigned Tovpinon 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platform64 bitOSKubuntuOS Version13.10
Product VersionRecent git 
Target VersionFixed in Version 
Summary0003231: MLT's GLSL manager init crash
DescriptionEverytime I starts Kdenlive, it crashes and display a modal window with the following error message:

"""
Movit failed initialization

Initialization of OpenGL filters failed. Exiting.
"""

According sources (see: https://projects.kde.org/projects/extragear/multimedia/kdenlive/repository/revisions/master/entry/src/renderer.cpp#L94 [^] ), it looks like recent versions of Kdenlive requires support of GLSL.

Isn't there a fallback in place for systems without cutting-edge GLSL support ?
Additional InformationI run an up-to-date 64 bits Kubuntu 13.10.

My Kdenlive package comes from http://ppa.launchpad.net/sunab/kdenlive-svn/ubuntu [^] .

I tried to upgrade the MESA library as described here: http://stackoverflow.com/a/20589728/487610 [^] but it doesn't solve anything.

My machine is a MacBook Air 5,2, with a HD 4000 GPU.
TagsNo tags attached.
Build/Install Method3rd party package
Attached Filespng file icon kdenlive-moveit-init.png [^] (17,558 bytes) 2014-03-16 15:07

- Relationships

-  Notes
(0009770)
norms2 (reporter)
2014-03-16 15:18
edited on: 2014-03-16 15:34

I can confirm but for this reason :-

Movit failed initialzation
Initialization of OpenGL filters failed. Exiting.

norm@UB-64bit:~$ kdenlive
QApplication: Object event filter cannot be in a different thread.
........
QApplication: Object event filter cannot be in a different thread.
KCrash: Application 'kdenlive' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/norm/.kde/socket-UB-64bit/kdeinit4__0
Warning: connect() failed: : No such file or directory
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi directly

[1]+ Stopped kdenlive


The Link "socket-UB-64bit" is Broken. Move it to the Rubbish Bin?

This link cannot be used, because its target "/tmp/ksocket-norm" doesn't exist.

same goes for "/tmp-UB-64bit"

EDIT:- Ubuntu 12.04LTS

(0009771)
kevin-deldycke (reporter)
2014-03-16 15:58

No issue regarding symlinks in my case.

For reference, here is the stack trace produced by Kdenlive:

Application: Kdenlive (kdenlive), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd2292157c0 (LWP 3325))]

Thread 6 (Thread 0x7fd1fbf82700 (LWP 3326)):
#0 __GI___pthread_mutex_lock (mutex=0x7fd1f4000a60) at pthread_mutex_lock.c:136
#1 0x00007fd22103b3a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007fd220ffb286 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007fd220ffb708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000004 0x00007fd220ffb7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007fd225f1ca76 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000006 0x00007fd225eee5ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000007 0x00007fd225eee8e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000008 0x00007fd225ded88f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000009 0x00007fd225ecfd13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000010 0x00007fd225deff2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000011 0x00007fd22570ef6e in start_thread (arg=0x7fd1fbf82700) at pthread_create.c:311
0000012 0x00007fd223c6e9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fd1faaac700 (LWP 3333)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007fd2056d81ba in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007fd22570ef6e in start_thread (arg=0x7fd1faaac700) at pthread_create.c:311
0000003 0x00007fd223c6e9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fd1fa2ab700 (LWP 3334)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007fd225b6361b in ?? () from /usr/lib/libmlt.so.6
0000002 0x00007fd22570ef6e in start_thread (arg=0x7fd1fa2ab700) at pthread_create.c:311
0000003 0x00007fd223c6e9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fd1f9877700 (LWP 3336)):
#0 0x00007fd223c6203f in __GI_ppoll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>, sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/ppoll.c:57
#1 0x00007fd21df6d8e7 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
0000002 0x00007fd21df6dede in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
0000003 0x00007fd205472b0b in ?? () from /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0
0000004 0x00007fd2054468f0 in ?? () from /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0
0000005 0x00007fd20544eac8 in ?? () from /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0
0000006 0x00007fd20548e189 in ?? () from /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0
0000007 0x00007fd22570ef6e in start_thread (arg=0x7fd1f9877700) at pthread_create.c:311
0000008 0x00007fd223c6e9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fd1f9076700 (LWP 3337)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1 0x00007fd2056d7ac9 in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007fd22570ef6e in start_thread (arg=0x7fd1f9076700) at pthread_create.c:311
0000003 0x00007fd223c6e9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fd2292157c0 (LWP 3325)):
[KCrash Handler]
0000005 0x00007fd225f06956 in QMetaObject::removeGuard(QObject**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000006 0x00007fd2268e5da3 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000007 0x00007fd22695a7db in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000008 0x00007fd226959347 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000009 0x00007fd226981922 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000010 0x00007fd220ffb3b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000011 0x00007fd220ffb708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000012 0x00007fd220ffb7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000013 0x00007fd225f1ca55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000014 0x00007fd2269819d6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000015 0x00007fd225eee5ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000016 0x00007fd225eee8e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000017 0x00007fd225ef3e5b in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000018 0x0000000000455989 in ?? ()
0000019 0x00007fd223b95de5 in __libc_start_main (main=0x454c30, argc=1, ubp_av=0x7fff262e5268, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff262e5258) at libc-start.c:260
0000020 0x0000000000455ee8 in _start ()
(0009772)
kevin-deldycke (reporter)
2014-03-16 16:00

And the Kdenlive output in the konsole:

$ kdenlive

Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 14: reading configurations from ~/.fonts.conf is deprecated.
libDeckLinkAPI.so: cannot open shared object file: No such file or directory
QCoreApplication::postEvent: Unexpected null receiver
(...)
kdenlive(3325) Render::checkMaxThreads: // TRACTOR PROBLEM
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x2430770), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x2430770), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject::installEventFilter(): Cannot filter events for objects in a different thread.
QObject::installEventFilter(): Cannot filter events for objects in a different thread.
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::LabelEngine(0x2431e90), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::LabelEngine(0x2431e90), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x242a060), parent's thread is QThread(0x2336260), current thread is QThread(0x7fd1e4000be0)
QObject::installEventFilter(): Cannot filter events for objects in a different thread.
QApplication: Object event filter cannot be in a different thread.
QApplication: Object event filter cannot be in a different thread.
(...)
QApplication: Object event filter cannot be in a different thread.
QApplication: Object event filter cannot be in a different thread.
KCrash: Application 'kdenlive' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/kevin/.kde/socket-kev-laptop/kdeinit4__0

[1]+ Stopped kdenlive
(0009773)
norms2 (reporter)
2014-03-16 16:27

Apart from my broken links our problems are the same then. My output was just from a terminal but all I got was about 100 lines of:-

"QApplication: Object event filter cannot be in a different thread."

the same as yours at the bottom from your konsole output.
cheers
(0009774)
Sesse (developer)
2014-03-17 00:39

Hi,

Most likely, the issue is that MLT is compiled without Movit support (which is now mandatory for Kdenlive).

To ease the transition a bit while the distributions are catching up, I've prepared Debian source and binary packages for Movit; they should also work on Ubuntu, but I haven't tested. You can find them at http://movit.sesse.net/. [^]
(0009775)
Kevaaq (reporter)
2014-03-17 13:03

I have the same problem after upgrading
(0009776)
vpinon (administrator)
2014-03-17 14:28

sunab should update MLT build script, in the meantime his packages are unusable.
either use older packages, or run kdenlive build script from https://github.com/mltframework/mlt-scripts/ [^]
(0009777)
thomi_ch (reporter)
2014-03-17 21:45
edited on: 2014-03-17 23:00

I'm on Kubuntu 13.10 and tried to install above libmovit1, but dependencies problem:

Dependency is not satisfiable: libglew1.10 (>= 1.10.0)

Available is: libglew1.8
apt-cache policy libglew1.8
libglew1.8:
  Installed: 1.9.0.is.1.8.0-0ubuntu2
  Candidate: 1.9.0.is.1.8.0-0ubuntu2

Would be nice, that package is available from sunab ppa or even from main kubuntu repos...

Thanks for fixing it..

(0009778)
Sesse (developer)
2014-03-17 22:12

You should probably either wait for sunab to fix the repository, or use the build script vpinon pointed you to. Even if you install Movit (not Moveit, MoveIt or anything similar), you will still need to recompile MLT with the right support.
(0009779)
thomi_ch (reporter)
2014-03-18 06:32

Ha... it's fixed.. ppa is fixed ;) update done and kdenlive back working...

https://launchpad.net/~sunab/+archive/kdenlive-svn [^]

1000 thanks to ppa maintainer..
(0009780)
vpinon (administrator)
2014-03-18 08:11

thanks sunab to react so quickly!

- Issue History
Date Modified Username Field Change
2014-03-16 15:07 kevin-deldycke New Issue
2014-03-16 15:07 kevin-deldycke File Added: kdenlive-moveit-init.png
2014-03-16 15:18 norms2 Note Added: 0009770
2014-03-16 15:34 norms2 Note Edited: 0009770 View Revisions
2014-03-16 15:58 kevin-deldycke Note Added: 0009771
2014-03-16 16:00 kevin-deldycke Note Added: 0009772
2014-03-16 16:27 norms2 Note Added: 0009773
2014-03-17 00:39 Sesse Note Added: 0009774
2014-03-17 13:03 Kevaaq Note Added: 0009775
2014-03-17 14:28 vpinon Note Added: 0009776
2014-03-17 21:45 thomi_ch Note Added: 0009777
2014-03-17 22:12 Sesse Note Added: 0009778
2014-03-17 23:00 thomi_ch Note Edited: 0009777 View Revisions
2014-03-18 06:32 thomi_ch Note Added: 0009779
2014-03-18 08:11 vpinon Note Added: 0009780
2014-03-18 08:11 vpinon Status new => resolved
2014-03-18 08:11 vpinon Resolution open => fixed
2014-03-18 08:11 vpinon Assigned To => vpinon


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker